import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CommissionBatchItemWhereInputObjectSchema as CommissionBatchItemWhereInputObjectSchema } from './CommissionBatchItemWhereInput.schema'

const makeSchema = () => z.object({
  where: z.lazy(() => CommissionBatchItemWhereInputObjectSchema).optional()
}).strict();
export const CommissionBatchCountOutputTypeCountItemsArgsObjectSchema = makeSchema();
export const CommissionBatchCountOutputTypeCountItemsArgsObjectZodSchema = makeSchema();
